package com.iamberry.wechat.core.entity.welfare;

import com.iamberry.wechat.core.entity.PageBean;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 献
 */
public class UserAtLogs implements Serializable {

    private Integer atId;

    private String userOpenid;

    private Integer atAmonut;

    private Integer atState;

    private String atName;

    private String atTel;

    private String atCardNo;

    private String atBankName;

    private Date atCreateTime;

    private Date atDealTime;

    private String atRemark;

    private String atZfb;

    private Integer atType;//1 银行提现 2支付宝提现

    private Integer atIsMoney;//1 未打款 2已打款

    public Integer getAtId() {
        return atId;
    }

    private PageBean page = new PageBean();	//分页信息

    private String userHead;

    private String userNickname;

    private Integer amonutUsable;

    public void setAtId(Integer atId) {
        this.atId = atId;
    }

    public String getUserOpenid() {
        return userOpenid;
    }

    public void setUserOpenid(String userOpenid) {
        this.userOpenid = userOpenid == null ? null : userOpenid.trim();
    }

    public Integer getAtAmonut() {
        return atAmonut;
    }

    public void setAtAmonut(Integer atAmonut) {
        this.atAmonut = atAmonut;
    }

    public Integer getAtState() {
        return atState;
    }

    public void setAtState(Integer atState) {
        this.atState = atState;
    }

    public String getAtName() {
        return atName;
    }

    public void setAtName(String atName) {
        this.atName = atName == null ? null : atName.trim();
    }

    public String getAtTel() {
        return atTel;
    }

    public void setAtTel(String atTel) {
        this.atTel = atTel == null ? null : atTel.trim();
    }

    public String getAtCardNo() {
        return atCardNo;
    }

    public void setAtCardNo(String atCardNo) {
        this.atCardNo = atCardNo == null ? null : atCardNo.trim();
    }

    public String getAtBankName() {
        return atBankName;
    }

    public void setAtBankName(String atBankName) {
        this.atBankName = atBankName == null ? null : atBankName.trim();
    }

    public Date getAtCreateTime() {
        return atCreateTime;
    }

    public void setAtCreateTime(Date atCreateTime) {
        this.atCreateTime = atCreateTime;
    }

    public Date getAtDealTime() {
        return atDealTime;
    }

    public void setAtDealTime(Date atDealTime) {
        this.atDealTime = atDealTime;
    }

    public String getAtRemark() {
        return atRemark;
    }

    public void setAtRemark(String atRemark) {
        this.atRemark = atRemark == null ? null : atRemark.trim();
    }

    public String getAtZfb() {
        return atZfb;
    }

    public void setAtZfb(String atZfb) {
        this.atZfb = atZfb;
    }

    public Integer getAtType() {
        return atType;
    }

    public void setAtType(Integer atType) {
        this.atType = atType;
    }

    public Integer getAtIsMoney() {
        return atIsMoney;
    }

    public void setAtIsMoney(Integer atIsMoney) {
        this.atIsMoney = atIsMoney;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public String getUserHead() {
        return userHead;
    }

    public void setUserHead(String userHead) {
        this.userHead = userHead;
    }

    public String getUserNickname() {
        return userNickname;
    }

    public void setUserNickname(String userNickname) {
        this.userNickname = userNickname;
    }

    public Integer getAmonutUsable() {
        return amonutUsable;
    }

    public void setAmonutUsable(Integer amonutUsable) {
        this.amonutUsable = amonutUsable;
    }
}